View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000099Ecere SDKcompilerpublic2008-07-14 17:342014-08-08 18:17
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000099: Union bracket initialization is broken
DescriptionStart making use of .member = to access members


TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001325)
jerome (administrator)
2014-05-27 07:48
edited on: 2014-05-27 07:48

Fixed by:
https://github.com/ecere/ecere-sdk/commit/8e262d7cf9566d5f1ced373d3caf0ca31c73beaf [^]

(0001326)
jerome (administrator)
2014-06-01 21:33

Now avoiding anonymous struct/unions in favor of supporting GCC 4.4 which expected extra braces ( https://gcc.gnu.org/bugzilla/show_bug.cgi?id=10676 [^] )

https://github.com/ecere/ecere-sdk/commit/a6f6777036561ec3544200eeca16fa5f19fa8ee3 [^]

- Issue History
Date Modified Username Field Change
2008-07-14 17:34 jerome New Issue
2012-03-08 16:51 redj Target Version => 0.45 Ginkakuji
2012-03-29 07:50 redj Category => eC Compiling Tools
2012-03-29 07:50 redj Project @2@ => Ecere SDK
2014-05-27 03:08 jerome Assigned To => jerome
2014-05-27 03:08 jerome Priority normal => immediate
2014-05-27 03:08 jerome Status new => assigned
2014-05-27 03:08 jerome Target Version 0.45 Ginkakuji => 0.44.10 64
2014-05-27 07:48 jerome Status assigned => resolved
2014-05-27 07:48 jerome Fixed in Version => 0.44.10 64
2014-05-27 07:48 jerome Resolution open => fixed
2014-05-27 07:48 jerome Note Added: 0001325
2014-05-27 07:48 jerome Note Edited: 0001325
2014-06-01 21:33 jerome Note Added: 0001326
2014-08-08 18:17 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker